# Uses of Class
org.pentaho.reporting.libraries.formula.typing.sequence.AnySequence

Packages that use AnySequence
Package
Description
org.pentaho.reporting.libraries.formula.typing.sequence

## Uses of AnySequence in org.pentaho.reporting.libraries.formula.typing.sequence

Subclasses of AnySequence in org.pentaho.reporting.libraries.formula.typing.sequence
Modifier and Type
Class
Description
`class`
`AnyNumberSequence`
A sequence that treats text-values as valid numbers that always evaluate to zero.
`class`
`DefaultNumberSequence`
Constructors in org.pentaho.reporting.libraries.formula.typing.sequence with parameters of type AnySequence
Modifier
Constructor
Description
``
`AnyNumberSequence(AnySequence anySequence)`
``
`DefaultNumberSequence(AnySequence anySequence)`